Package com.io7m.cedarbridge.codegen.java.internal.serializer_instantiation

# Class OpBuildTypeArgumentForNamed

java.lang.Object
com.io7m.cedarbridge.codegen.java.internal.serializer_instantiation.OpAbstract
com.io7m.cedarbridge.codegen.java.internal.serializer_instantiation.OpBuildTypeArgumentForNamed

All Implemented Interfaces:
  `CBCGSerializerInstantiationOperationType`, `OpBuildTypeArgumentType`, `Comparable<CBCGSerializerInstantiationOperationType>`

public final class OpBuildTypeArgumentForNamed extends OpAbstract implements OpBuildTypeArgumentType
An operation that builds a type argument for the given named type.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpBuildTypeArgumentForNamed(int order, CBQualifiedTypeName inTypeName, String inLocalName)`
  An operation that builds a type argument for the given named type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `javaLocalName()`
  `com.io7m.jodist.CodeBlock`
  `serialize()`
  `CBQualifiedTypeName`
  `typeName()`

  ### Methods inherited from class com.io7m.cedarbridge.codegen.java.internal.serializer_instantiation.OpAbstract

  `programOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.cedarbridge.codegen.java.internal.serializer_instantiation.CBCGSerializerInstantiationOperationType

  `compareTo, programOrder`

- ## Constructor Details

  - ### OpBuildTypeArgumentForNamed

    public OpBuildTypeArgumentForNamed(int order, CBQualifiedTypeName inTypeName, String inLocalName)
    An operation that builds a type argument for the given named type.
    Parameters:
      `order` - The program order
      `inTypeName` - The target type name
      `inLocalName` - The local variable name

- ## Method Details

  - ### javaLocalName

    public String javaLocalName()
    Specified by:
      `javaLocalName` in interface `OpBuildTypeArgumentType`
    Returns:
      The java class to which this operation belongs

  - ### serialize

    public com.io7m.jodist.CodeBlock serialize()
    Specified by:
      `serialize` in interface `CBCGSerializerInstantiationOperationType`
    Returns:
      The code block to execute

  - ### typeName

    public CBQualifiedTypeName typeName()
    Returns:
      The target type name